package com.iformall.enums;

/**
 * Created by luozukai
 * 状态1生效2失效3作废
 */
public enum EnumWxTopicStatus {
    DEF(0, "保存"),
    VAILD(1, "上架"),
    INVAILD(2, "下架"),
    CANCLE(3, "作废")
    ;

    public static EnumWxTopicStatus getEnum(Integer code) {
        for (EnumWxTopicStatus value : values()) {
            if (value.getCode().equals(code)) {
                return value;
            }
        }
        return null;
    }

    private Integer code;
    private String message;

    EnumWxTopicStatus(Integer code, String message) {
        this.code = code;
        this.message = message;
    }

    public Integer getCode() {
        return code;
    }

    public String getMessage() {
        return message;
    }
}
